package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdUsers;
import com.qsoft.rs.sincoar.dto.MdUsersDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdUsersMapper {

    MdUsersMapper INSTANCE = Mappers.getMapper(MdUsersMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")
    MdUsers getEntidad(MdUsersDTO mdUsers);

    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdUsersDTO getDto(MdUsers mdUsers);

}